-- =============================================
-- SaveToDB Framework for Microsoft SQL Server
-- Version 7.19, March 12, 2018
--
-- Copyright 2015-2018 Gartle Technology Corporation
-- =============================================

-- The query drops objects of the SaveToDB Framework

IF OBJECT_ID('SAVETODB_DEV.VIEW_QUERY_LIST_TOOLS', 'V') IS NOT NULL
DROP VIEW SAVETODB_DEV.VIEW_QUERY_LIST_TOOLS
GO

IF OBJECT_ID('SAVETODB_ETL.USP_UPDATE_EVENT_HANDLERS', 'P') IS NOT NULL
DROP PROCEDURE SAVETODB_ETL.USP_UPDATE_EVENT_HANDLERS
GO
IF OBJECT_ID('SAVETODB_ETL.VIEW_EVENT_HANDLERS_SUGGEST', 'V') IS NOT NULL
DROP VIEW SAVETODB_ETL.VIEW_EVENT_HANDLERS_SUGGEST
GO

IF OBJECT_ID('SAVETODB_ETL.VIEW_OBJECT_TRANSLATION_SUGGEST', 'V') IS NOT NULL
DROP VIEW SAVETODB_ETL.VIEW_OBJECT_TRANSLATION_SUGGEST
GO

IF OBJECT_ID('SAVETODB_ETL.USP_GENERATE_CHANGE_HANDLER', 'P') IS NOT NULL
DROP PROCEDURE SAVETODB_ETL.USP_GENERATE_CHANGE_HANDLER
GO
IF OBJECT_ID('SAVETODB_ETL.USP_GENERATE_EDIT_PROCEDURES', 'P') IS NOT NULL
DROP PROCEDURE SAVETODB_ETL.USP_GENERATE_EDIT_PROCEDURES
GO
IF OBJECT_ID('SAVETODB_ETL.USP_GENERATE_GENEGIC_HANDLER', 'P') IS NOT NULL
DROP PROCEDURE SAVETODB_ETL.USP_GENERATE_GENEGIC_HANDLER
GO

DROP PROCEDURE SAVETODB_ETL.USP_UPDATE_COLUMN_TRANSLATION
GO
DROP PROCEDURE SAVETODB_ETL.USP_UPDATE_COLUMN_TRANSLATION_GROUP
GO
DROP PROCEDURE SAVETODB_ETL.USP_UPDATE_OBJECT_TRANSLATION
GO
DROP PROCEDURE SAVETODB_ETL.USP_UPDATE_OBJECT_TRANSLATION_ABSENT
GO
DROP PROCEDURE SAVETODB_DEV.USP_UPDATE_TABLE_FORMAT
GO

DROP VIEW SAVETODB_XLS.VIEW_EVENT_HANDLERS
GO
DROP VIEW SAVETODB_XLS.VIEW_TABLE_FORMATS
GO
DROP VIEW SAVETODB_XLS.VIEW_PARAMETER_VALUES
GO
DROP VIEW SAVETODB_XLS.VIEW_QUERY_LIST
GO
DROP VIEW SAVETODB_XLS.VIEW_COLUMN_TRANSLATION
GO
DROP VIEW SAVETODB_XLS.VIEW_OBJECT_TRANSLATION
GO
DROP VIEW SAVETODB_XLS.VIEW_OBJECT_DESCRIPTION
GO
DROP VIEW SAVETODB_DEV.VIEW_QUERY_LIST
GO

DROP TABLE SAVETODB_DEV.EVENT_HANDLERS
GO
DROP TABLE SAVETODB_DEV.TABLE_FORMATS
GO
DROP TABLE SAVETODB_DEV.COLUMN_TRANSLATION
GO
DROP TABLE SAVETODB_DEV.OBJECT_TRANSLATION
GO
DROP TABLE SAVETODB_DEV.PARAMETER_VALUES
GO
DROP TABLE SAVETODB_DEV.QUERY_LIST
GO

DECLARE @sql nvarchar(max)

SELECT @sql = ( 
    SELECT
        'ALTER ROLE ' + QUOTENAME(p.name) + ' DROP MEMBER ' + QUOTENAME(m.name) + ';' + CHAR(10)
    FROM
        sys.database_role_members rm
        INNER JOIN sys.database_principals p ON p.principal_id = rm.role_principal_id
        INNER JOIN sys.database_principals m ON m.principal_id = rm.member_principal_id
    WHERE
        p.name IN ('SAVETODB_DEV_ROLE', 'SAVETODB_XLS_ROLE')
    FOR XML PATH('')
    )

EXEC (@sql)

PRINT @sql
GO

DROP ROLE SAVETODB_DEV_ROLE
GO
DROP ROLE SAVETODB_XLS_ROLE
GO

DROP SCHEMA SAVETODB_DEV
GO
DROP SCHEMA SAVETODB_ETL
GO
DROP SCHEMA SAVETODB_XLS
GO

print N'SaveToDB Framework has been dropped';
GO
